careCycle
CampaignsTransfer configs

Create transfer config

Create a new transfer config

POST
/v2/campaigns/transfer-configs

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Request Body

application/json

POST /v2/campaigns/transfer-configs Request body

TypeScript Definitions

Use the request body type in TypeScript.

string

Transfer config name

Length1 <= length
object
number
object | object | object | object
object
object
string
string | null
Match^\+[1-9]\d{1,14}$Lengthlength <= 20
object
string
Value in"cold" | "warm"
object
string
object | object | object
object
string
Value in"cold" | "warm"
string
string
Value in"GET" | "POST"
integer
Range1 <= value <= 30000
object
object
string
string
array<object>
string
string
Value in"equals" | "greater_than" | "not_equals" | "contains"
string | number | boolean
object
string
string | null
Lengthlength <= 2048
object
object
string
Value in"cold" | "warm"
object
string
string | null
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string
Value in"wait-for-operator" | "immediate-transfer"
object | object | object
object
string
Value in"call-form" | "customer-details" | "inbox" | "none"
string | null
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
object | null
object
string
Value in"wait-for-operator" | "immediate-summary"
string | null
string | null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/campaigns/transfer-configs" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "configuration": {      "version": 2,      "destination": {        "type": "direct",        "phoneNumber": "string",        "externalHandoff": {          "mode": "cold"        }      },      "drafts": {},      "warmTransfer": {        "mode": "wait-for-operator",        "summaryPrompt": "string"      }    }  }'
{
  "transferConfig": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
    "name": "string",
    "description": "string",
    "configuration": {
      "version": 2,
      "destination": {
        "type": "direct",
        "phoneNumber": "string",
        "externalHandoff": {
          "mode": "cold"
        }
      },
      "drafts": {
        "direct": {
          "type": "direct",
          "phoneNumber": "string",
          "externalHandoff": {
            "mode": "cold"
          }
        },
        "dynamic": {
          "type": "dynamic",
          "pingUrl": "string",
          "method": "GET",
          "timeout": 1,
          "headers": {
            "property1": "string",
            "property2": "string"
          },
          "body": {
            "property1": null,
            "property2": null
          },
          "transferNumberField": "string",
          "transferNumber": "string",
          "successConditions": [
            {
              "field": "string",
              "operator": "equals",
              "value": "string"
            }
          ],
          "fallback": {
            "type": "none"
          },
          "externalHandoff": {
            "mode": "cold"
          }
        },
        "sip": {
          "type": "sip",
          "uri": "string",
          "headers": {
            "property1": "string",
            "property2": "string"
          },
          "externalHandoff": {
            "mode": "cold"
          }
        },
        "softphone": {
          "type": "softphone",
          "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
          "handoffStrategy": "wait-for-operator",
          "voiceAiFallback": {
            "type": "none"
          },
          "agentWorkspace": {
            "screenBehavior": "call-form",
            "callFormId": "ce7b9bca-896d-440b-961b-042f5bf12d2d"
          },
          "agentFirstHandling": {
            "callback": {
              "offerEnabled": true,
              "abandonOfferEnabled": true,
              "expiryMinutes": 15,
              "maxAttempts": 1,
              "retryDelayMinutes": 1,
              "closeBufferMinutes": 5,
              "offerMessage": "string",
              "confirmMessage": "string"
            },
            "primaryVoicemailGreeting": "string",
            "afterHoursVoicemailGreeting": "string"
          }
        }
      },
      "warmTransfer": {
        "mode": "wait-for-operator",
        "summaryPrompt": "string"
      }
    },
    "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
    "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
    "callFormId": "ce7b9bca-896d-440b-961b-042f5bf12d2d",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}